Name:           nmh
Version:        1.1
Release:        8.fc4.XOS.1
Summary:        A capable mail handling system with a command line interface.

Group:          Applications/Internet
License:        BSD
URL:            http://savannah.nongnu.org/projects/nmh
Source0:        http://savannah.nongnu.org/download/nmh/nmh-1.1.tar.gz
Patch0:         nmh-1.1-makefile.patch
Patch1:         nmh-1.1-lock_file.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    libtermcap-devel
BuildRequires:  db4-devel

%description
Nmh is an email system based on the MH email system and is intended to
be a (mostly) compatible drop-in replacement for MH.  Nmh isn't a
single comprehensive program.  Instead, it consists of a number of
fairly simple single-purpose programs for sending, receiving, saving,
retrieving and otherwise manipulating email messages.  You can freely
intersperse nmh commands with other shell commands or write custom
scripts which utilize nmh commands.  If you want to use nmh as a true
email user agent, you'll want to also install exmh to provide a user
interface for it--nmh only has a command line interface.

%prep
%setup -q -n nmh
%patch0 -p1
%patch1 -p1


%build

./configure --prefix=%{_prefix} \
            --sysconfdir=%{_sysconfdir}/nmh \
            --libdir=%{_libdir}/nmh \
            --mandir=%{_mandir} \
            --with-locking=fcntl \
            --enable-pop
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

chmod g-s $RPM_BUILD_ROOT/%{_bindir}/inc


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/*
%dir %{_sysconfdir}/nmh
%config(noreplace) %{_sysconfdir}/nmh/*
%dir %{_libdir}/nmh
%{_libdir}/nmh/*
%{_mandir}/man[851]/*
%doc docs/COMPLETION-* docs/DIFFERENCES docs/FAQ docs/MAIL.FILTERING VERSION
%doc docs/TODO docs/README* COPYRIGHT

%changelog
* Thu Jul 28 2005 X/OS Linux Team <xoslinux@xos.nl> 1.1-8.fc4.XOS.1
- Build for X/OS Linux 4.
- X/OS Linux source rpm based on nmh-1.1-8.fc4.src.rpm
  (md5sum of original source rpm: 6a6869eb4363676ce9dd29d2c0a1e40a).

* Tue May 10 2005 Josh Bressers <bressers@redhat.com> 0:1.1-8.fc4
- Use fcntl for filelocking instead of the default dotlocks.

* Sun Apr 24 2005 Josh Bressers <bressers@redhat.com> 0:1.1-7.fc4
- Add patch from Jason Venner to avoid trying to lock files in /dev

* Sun Apr 17 2005 Josh Bressers <bressers@redhat.com> 0:1.1-6.fc4
- Remove what should have been commented out redinitions of the _sysconfdir
  and _libdir macros.

* Thu Apr 14 2005 Josh Bressers <bressers@redhat.com> 0:1.1-5
- Make the spec file much more sane.

* Wed Apr 13 2005 Josh Bressers <bressers@redhat.com> 0:1.1-3
- Initial build
